GET
/
api
/
timeclock
/
reports
/
monthly
Relatorio mensal de ponto
curl --request GET \
  --url https://suite.sisqualis.com.br/api/timeclock/reports/monthly/ \
  --header 'Authorization: <api-key>'
{
  "employee": {
    "id": 123,
    "user_id": 123,
    "username": "<string>",
    "full_name": "<string>",
    "department": "<string>",
    "job_title": "<string>",
    "role_name": "<string>",
    "employee_photo_url": "<string>",
    "status": "<string>"
  },
  "year": 123,
  "month": 123,
  "timezone": "<string>",
  "rows": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Use: Token <seu_token>

Query Parameters

employee_id
integer
year
integer
Required range: 2000 <= x <= 2100
month
integer
Required range: 1 <= x <= 12
response_format
enum<string>
Available options:
json,
pdf
format
enum<string>
Available options:
json,
pdf

Response

Relatorio em JSON ou PDF

employee
object
year
integer
month
integer
timezone
string
rows
object[]